export interface IDatabase {
    insert(table: string, values: {
        [key: string]: any;
    }): number;
    replace(table: string, values: {
        [key: string]: any;
    }): number;
    update(table: string, values: {
        [key: string]: any;
    }, whereClause: string, whereArs: Array<any>): number;
    delete(table: string, whereClause: string, whereArs: Array<any>): number;
    select(sql: string, params?: Array<any>, reduceFn?: Function): Promise<Array<any>>;
    query(table: string, columns?: Array<string>, selection?: string, selectionArgs?: Array<any>, groupBy?: string, orderBy?: string, limit?: string): Promise<Array<any>>;
    execSQL(sql: string): void;
    beginTransact(): void;
    commit(): void;
    rollback(): void;
    close(): void;
}
export declare const enum ReturnType {
    AS_OBJECT = 0,
    AS_ARRAY = 1
}
export interface DbCreationOptions {
    version?: number;
    createTableScriptsFn?: () => Array<string>;
    dropTableScriptsFn?: () => Array<string>;
    returnType?: ReturnType;
}
export declare function parseToDbValue(value: any): any;
export declare function parseToJsValue(value: any): any;
